PHP Manual
Prev |  | Next

# SimpleXMLElement->__construct()

(no version information, might be only in CVS)

SimpleXMLElement->__construct() -- Creates a new SimpleXMLElement object

## Description

class SimpleXMLElement {
__construct ( string data [, int options [, bool data_is_url [, string ns [, bool is_prefix]]]] )
}

Creates a new SimpleXMLElement object

## Parameters

data

  A well-formed XML string or the path or URL to an XML document if data_is_url is `TRUE`.

options

  Optionally used to specify additional Libxml parameters.

data_is_url

  By default, data_is_url is `FALSE`. Use `TRUE` to specify that data is a path or URL to an XML document instead of string data.

## Return Values

Returns a SimpleXMLElement object representing data.

## Examples

Example 1. Create a SimpleXMLElement object

`<?php include 'example.php'; $sxe = new SimpleXMLElement($xmlstr); echo $sxe->movie[0]->title; ?>`

Example 2. Create a SimpleXMLElement object from a URL

`<?php $sxe = new SimpleXMLElement('http://example.org/document.xml', NULL, TRUE); echo $sxe->asXML(); ?>`

## See Also

simplexml_load_string
simplexml_load_file

Prev | Home | Next
SimpleXMLElement->children() | Up | SimpleXMLElement->getDocNamespaces()